using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
class Program
{
    static void Main(string[] args)
    {
        int N = int.Parse(Console.ReadLine());
        int[] Ai = new int[N];
        List<double> Pi = new List<double>();
        double zadr = 0;
        for(int i = 0; i < N; i++)
        {
            string[] inp = Console.ReadLine().Split(' ');
            Ai[i] = int.Parse(inp[0]);
            zadr += Ai[i];
            Pi.Add(double.Parse(inp[1]));
        }
        var sorted = Pi.Select((x, i) => new KeyValuePair<double, int>(x, i)).OrderBy(x => x.Key).ToList();

        Pi = sorted.Select(x => x.Key).ToList();
        List<int> idx = sorted.Select(x => x.Value).ToList();
        double maxzdr = 0;
        for(int i = 0; i < N; i++)
        {
            if (maxzdr < zadr * idx[i]) maxzdr = zadr * (Pi[i]/100);
            zadr -= Ai[idx[i]];
        }
        Console.WriteLine(maxzdr);
    }
}